Bug 1572293 - The "Learn more about this in the documentation." links do not work
Summary: The "Learn more about this in the documentation." links do not work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Branding
Version: 6.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: 6.4.0
Assignee: satellite6-bugs
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 16:00 UTC by pm-sat@redhat.com
Modified: 2019-11-05 23:16 UTC (History)
9 users (show)

Fixed In Version: tfm-rubygem-foreman_theme_satellite-2.0.1.3-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1493203
Environment:
Last Closed: 2018-10-16 19:17:40 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 Chris Brown 2018-06-18 15:55:41 UTC
Failed in Satellite 6.4. Steps used to reproduce:

1. Infrastructure > Domains in the menu
2. Click Help
3. Click "Learn more about this in the documentation." link
output = 404

Not Found

The page you are looking for is not here. It might have been moved, removed, or had its name and address changed. It might otherwise be temporarily unavailable for technical reasons.

The good news is that you can probably find what you are looking for by searching the site.

Comment 9 Lukáš Hellebrandt 2018-07-25 09:18:27 UTC
FailedQA with Sat 6.4 snap 13.

Used reproducer from OP.

Comment 10 Lukáš Hellebrandt 2018-07-25 12:29:44 UTC
On the other hand, the link leads to https://access.redhat.com/documentation/en-us/red_hat_satellite/6.4/html/provisioning_guide/ , so to the 6.4 version. Is it expected that the documentation is 404 yet? In that case, this is still failed but the issue is not in the Satellite - it would only mean this went ON_QA too early.

Comment 16 Lukáš Hellebrandt 2018-09-13 11:29:33 UTC
OK, I'll verify this as the links are correct. However, note the content is still not in place.

Verified with Sat 6.4 snap 21.

Comment 18 Bryan Kearney 2018-10-16 19:17:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:2927


Note You need to log in before you can comment on or make changes to this bug.